Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class MultipartConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.MultipartConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MultipartConfigType<T>

    public class MultipartConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MultipartConfigType<T>

This class implements the `multipart-configType` xsd type

Original Documentation:

This element specifies configuration information related to the
handling of multipart/form-data requests.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MultipartConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MultipartConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.Integer` | `getFileSizeThreshold()` Returns the `file-size-threshold` element
`java.lang.String` | `getLocation()` Returns the `location` element
`java.lang.Long` | `getMaxFileSize()` Returns the `max-file-size` element
`java.lang.Long` | `getMaxRequestSize()` Returns the `max-request-size` element
`MultipartConfigType<T>` | `removeFileSizeThreshold()` Removes the `file-size-threshold` element
`MultipartConfigType<T>` | `removeLocation()` Removes the `location` element
`MultipartConfigType<T>` | `removeMaxFileSize()` Removes the `max-file-size` element
`MultipartConfigType<T>` | `removeMaxRequestSize()` Removes the `max-request-size` element
`MultipartConfigType<T>` | `setFileSizeThreshold(java.lang.Integer fileSizeThreshold)` If not already created, a new `file-size-threshold` element with the given value will be created.
`MultipartConfigType<T>` | `setLocation(java.lang.String location)` If not already created, a new `location` element with the given value will be created.
`MultipartConfigType<T>` | `setMaxFileSize(java.lang.Long maxFileSize)` If not already created, a new `max-file-size` element with the given value will be created.
`MultipartConfigType<T>` | `setMaxRequestSize(java.lang.Long maxRequestSize)` If not already created, a new `max-request-size` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartConfigTypeImpl

    public MultipartConfigTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node)

### MultipartConfigTypeImpl

    public MultipartConfigTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node,
                                   org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setLocation

    public MultipartConfigType<T> setLocation(java.lang.String location)

  If not already created, a new `location` element with the given value will be created. Otherwise, the existing `location` element will be updated with the given value.

  Specified by:
    `setLocation` in interface `MultipartConfigType<T>`
  Returns:
    the current instance of `MultipartConfigType`

### removeLocation

    public MultipartConfigType<T> removeLocation()

  Removes the `location` element

  Specified by:
    `removeLocation` in interface `MultipartConfigType<T>`
  Returns:
    the current instance of `MultipartConfigType`

### getLocation

    public java.lang.String getLocation()

  Returns the `location` element

  Specified by:
    `getLocation` in interface `MultipartConfigType<T>`
  Returns:
    the node defined for the element `location`

### setMaxFileSize

    public MultipartConfigType<T> setMaxFileSize(java.lang.Long maxFileSize)

  If not already created, a new `max-file-size` element with the given value will be created. Otherwise, the existing `max-file-size` element will be updated with the given value.

  Specified by:
    `setMaxFileSize` in interface `MultipartConfigType<T>`
  Returns:
    the current instance of `MultipartConfigType`

### removeMaxFileSize

    public MultipartConfigType<T> removeMaxFileSize()

  Removes the `max-file-size` element

  Specified by:
    `removeMaxFileSize` in interface `MultipartConfigType<T>`
  Returns:
    the current instance of `MultipartConfigType`

### getMaxFileSize

    public java.lang.Long getMaxFileSize()

  Returns the `max-file-size` element

  Specified by:
    `getMaxFileSize` in interface `MultipartConfigType<T>`
  Returns:
    the node defined for the element `max-file-size`

### setMaxRequestSize

    public MultipartConfigType<T> setMaxRequestSize(java.lang.Long maxRequestSize)

  If not already created, a new `max-request-size` element with the given value will be created. Otherwise, the existing `max-request-size` element will be updated with the given value.

  Specified by:
    `setMaxRequestSize` in interface `MultipartConfigType<T>`
  Returns:
    the current instance of `MultipartConfigType`

### removeMaxRequestSize

    public MultipartConfigType<T> removeMaxRequestSize()

  Removes the `max-request-size` element

  Specified by:
    `removeMaxRequestSize` in interface `MultipartConfigType<T>`
  Returns:
    the current instance of `MultipartConfigType`

### getMaxRequestSize

    public java.lang.Long getMaxRequestSize()

  Returns the `max-request-size` element

  Specified by:
    `getMaxRequestSize` in interface `MultipartConfigType<T>`
  Returns:
    the node defined for the element `max-request-size`

### setFileSizeThreshold

    public MultipartConfigType<T> setFileSizeThreshold(java.lang.Integer fileSizeThreshold)

  If not already created, a new `file-size-threshold` element with the given value will be created. Otherwise, the existing `file-size-threshold` element will be updated with the given value.

  Specified by:
    `setFileSizeThreshold` in interface `MultipartConfigType<T>`
  Returns:
    the current instance of `MultipartConfigType`

### removeFileSizeThreshold

    public MultipartConfigType<T> removeFileSizeThreshold()

  Removes the `file-size-threshold` element

  Specified by:
    `removeFileSizeThreshold` in interface `MultipartConfigType<T>`
  Returns:
    the current instance of `MultipartConfigType`

### getFileSizeThreshold

    public java.lang.Integer getFileSizeThreshold()

  Returns the `file-size-threshold` element

  Specified by:
    `getFileSizeThreshold` in interface `MultipartConfigType<T>`
  Returns:
    the node defined for the element `file-size-threshold`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD